Skip to content
POST
/user/dashboard/store
curl --request POST \
--url https://example.com/user/dashboard/store \
--header 'Content-Type: application/json' \
--header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \
--data '{ "tenant_id": "example", "dashboard_id": "example", "revision": "example", "content": {}, "summary": {} }'

Store a new dashboard revision.

Multiple dashboards can be created for any given Dashboard ids only need to be unique per

The data stored can be any free form json. It is splitted into:

  • summary, a lightweight summarized version of the data that is also returned when calling the /list endpoint

  • the content, which holds the bulk of the dashboard description and that can be retrieved by calling the /get endpoint

The total size of the data stored for each dashboard must not exceed a few hundred kilobytes, otherwise the backing stores might present degraded performances or hit quotas.

The revision of the dashboard is an arbitrary string that is used to ensure no concurrent updates are performed. For new dashboards, it should be left empty. For existing endpoints, it is obtained from the response of the /list or /get endpoints.

Media type application/json
StoreDashboardRequest
object
tenant_id
required
Tenant Id
string
dashboard_id
required
Dashboard Id
string
revision
Any of:
string
content
required
Content
object
key
additional properties
any
summary
required
Summary
object
key
additional properties
any
Example generated
{
"tenant_id": "example",
"dashboard_id": "example",
"revision": "example",
"content": {},
"summary": {}
}

Successful Response

Media type application/json
DashboardRevisionMetadata
object
update_time
required
Update Time
string
revision
required
Revision
string
dashboard_id
required
Dashboard Id
string
Example generated
{
"update_time": "example",
"revision": "example",
"dashboard_id": "example"
}

{"detail": "Invalid API Key"}

{"detail": "Dashboard revision changed"}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}